<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>bitten.build.ctools</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="bitten-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="bitten-module.html">Package&nbsp;bitten</a> ::
        <a href="bitten.build-module.html">Package&nbsp;build</a> ::
        Module&nbsp;ctools
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
      </table>
    </td>
  </tr>
</table>
<!-- ==================== MODULE DESCRIPTION ==================== -->
<h1 class="epydoc">Module ctools</h1><p class="nomargin-top"></p>
Recipe commands for build tasks commonly used for C/C++ projects.

<!-- ==================== FUNCTIONS ==================== -->
<a name="section-Functions"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td align="left" colspan="2" class="table-header">
    <span class="table-header">Functions</span></td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="bitten.build.ctools-module.html#configure" class="summary-sig-name">configure</a>(<span class="summary-sig-arg">ctxt</span>,
        <span class="summary-sig-arg">file_</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string">configure</code><code class="variable-quote">'</code></span>,
        <span class="summary-sig-arg">enable</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">disable</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">with_</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">without</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">cflags</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">cxxflags</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">prefix</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">**kw</span>)</span><br />
      Run a <tt class="rst-docutils literal"><span class="pre">configure</span></tt> script.</td>
          <td align="right" valign="top">
            
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="bitten.build.ctools-module.html#autoreconf" class="summary-sig-name">autoreconf</a>(<span class="summary-sig-arg">ctxt</span>,
        <span class="summary-sig-arg">file_</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string">configure</code><code class="variable-quote">'</code></span>,
        <span class="summary-sig-arg">force</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">install</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">symlink</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">warnings</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">prepend_include</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">include</span>=<span class="summary-sig-default">None</span>)</span><br />
      Run the autotoll <tt class="rst-docutils literal"><span class="pre">autoreconf</span></tt>.</td>
          <td align="right" valign="top">
            
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="bitten.build.ctools-module.html#make" class="summary-sig-name">make</a>(<span class="summary-sig-arg">ctxt</span>,
        <span class="summary-sig-arg">target</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">file_</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">keep_going</span>=<span class="summary-sig-default">False</span>,
        <span class="summary-sig-arg">directory</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">jobs</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">args</span>=<span class="summary-sig-default">None</span>)</span><br />
      Execute a Makefile target.</td>
          <td align="right" valign="top">
            
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="bitten.build.ctools-module.html#cppunit" class="summary-sig-name">cppunit</a>(<span class="summary-sig-arg">ctxt</span>,
        <span class="summary-sig-arg">file_</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">srcdir</span>=<span class="summary-sig-default">None</span>)</span><br />
      Collect CppUnit XML data.</td>
          <td align="right" valign="top">
            
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="bitten.build.ctools-module.html#cunit" class="summary-sig-name">cunit</a>(<span class="summary-sig-arg">ctxt</span>,
        <span class="summary-sig-arg">file_</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">srcdir</span>=<span class="summary-sig-default">None</span>)</span><br />
      Collect CUnit XML data.</td>
          <td align="right" valign="top">
            
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="bitten.build.ctools-module.html#gcov" class="summary-sig-name">gcov</a>(<span class="summary-sig-arg">ctxt</span>,
        <span class="summary-sig-arg">include</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">exclude</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">prefix</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">root</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string"></code><code class="variable-quote">'</code></span>)</span><br />
      Run <tt class="rst-docutils literal"><span class="pre">gcov</span></tt> to extract coverage data where available.</td>
          <td align="right" valign="top">
            
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
</table>
<!-- ==================== VARIABLES ==================== -->
<a name="section-Variables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td align="left" colspan="2" class="table-header">
    <span class="table-header">Variables</span></td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="log"></a><span class="summary-name">log</span> = <code title="logging.getLogger('bitten.build.ctools')">logging.getLogger('bitten.build.ctools')</code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="__package__"></a><span class="summary-name">__package__</span> = <code title="'bitten.build'"><code class="variable-quote">'</code><code class="variable-string">bitten.build</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
</table>
<!-- ==================== FUNCTION DETAILS ==================== -->
<a name="section-FunctionDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td align="left" colspan="2" class="table-header">
    <span class="table-header">Function Details</span></td>
</tr>
</table>
<a name="configure"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">configure</span>(<span class="sig-arg">ctxt</span>,
        <span class="sig-arg">file_</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string">configure</code><code class="variable-quote">'</code></span>,
        <span class="sig-arg">enable</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">disable</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">with_</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">without</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">cflags</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">cxxflags</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">prefix</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">**kw</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    >&nbsp;
    </td>
  </tr></table>
  
  Run a <tt class="rst-rst-docutils literal rst-docutils literal"><span class="pre">configure</span></tt> script.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>ctxt</code></strong> (<a href="bitten.recipe.Context-class.html" class="link">Context</a>) - the build context</li>
        <li><strong class="pname"><code>file_</code></strong> - name of the configure script</li>
        <li><strong class="pname"><code>enable</code></strong> - names of the features to enable, seperated by spaces</li>
        <li><strong class="pname"><code>disable</code></strong> - names of the features to disable, separated by spaces</li>
        <li><strong class="pname"><code>with_</code></strong> - names of external packages to include</li>
        <li><strong class="pname"><code>without</code></strong> - names of external packages to exclude</li>
        <li><strong class="pname"><code>cflags</code></strong> - <tt class="rst-docutils literal"><span class="pre">CFLAGS</span></tt> to pass to the configure script</li>
        <li><strong class="pname"><code>cxxflags</code></strong> - <tt class="rst-docutils literal"><span class="pre">CXXFLAGS</span></tt> to pass to the configure script</li>
        <li><strong class="pname"><code>prefix</code></strong> - install prefix to pass to the configure script, will be postfixed by the machine name from the build</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="autoreconf"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">autoreconf</span>(<span class="sig-arg">ctxt</span>,
        <span class="sig-arg">file_</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string">configure</code><code class="variable-quote">'</code></span>,
        <span class="sig-arg">force</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">install</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">symlink</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">warnings</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">prepend_include</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">include</span>=<span class="sig-default">None</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    >&nbsp;
    </td>
  </tr></table>
  
  Run the autotoll <tt class="rst-rst-docutils literal rst-docutils literal"><span class="pre">autoreconf</span></tt>.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>ctxt</code></strong> (<a href="bitten.recipe.Context-class.html" class="link">Context</a>) - the build context</li>
        <li><strong class="pname"><code>force</code></strong> - consider all files obsolete</li>
        <li><strong class="pname"><code>install</code></strong> - copy missing auxiliary files</li>
        <li><strong class="pname"><code>symlink</code></strong> - install symbolic links instead of copies</li>
        <li><strong class="pname"><code>warnings</code></strong> - report the warnings falling in CATEGORY</li>
        <li><strong class="pname"><code>prepend_include</code></strong> - prepend directories to search path</li>
        <li><strong class="pname"><code>include</code></strong> - append directories to search path</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="make"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">make</span>(<span class="sig-arg">ctxt</span>,
        <span class="sig-arg">target</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">file_</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">keep_going</span>=<span class="sig-default">False</span>,
        <span class="sig-arg">directory</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">jobs</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">args</span>=<span class="sig-default">None</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    >&nbsp;
    </td>
  </tr></table>
  
  Execute a Makefile target.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>ctxt</code></strong> (<a href="bitten.recipe.Context-class.html" class="link">Context</a>) - the build context</li>
        <li><strong class="pname"><code>file_</code></strong> - name of the Makefile</li>
        <li><strong class="pname"><code>keep_going</code></strong> - whether make should keep going when errors are
encountered</li>
        <li><strong class="pname"><code>directory</code></strong> - directory in which to build; defaults to project source directory</li>
        <li><strong class="pname"><code>jobs</code></strong> - number of concurrent jobs to run</li>
        <li><strong class="pname"><code>args</code></strong> - command-line arguments to pass to the script</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="cppunit"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">cppunit</span>(<span class="sig-arg">ctxt</span>,
        <span class="sig-arg">file_</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">srcdir</span>=<span class="sig-default">None</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    >&nbsp;
    </td>
  </tr></table>
  
  Collect CppUnit XML data.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>ctxt</code></strong> (<a href="bitten.recipe.Context-class.html" class="link">Context</a>) - the build context</li>
        <li><strong class="pname"><code>file_</code></strong> - path of the file containing the CppUnit results; may contain
globbing wildcards to match multiple files</li>
        <li><strong class="pname"><code>srcdir</code></strong> - name of the directory containing the source files, used to
link the test results to the corresponding files</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="cunit"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">cunit</span>(<span class="sig-arg">ctxt</span>,
        <span class="sig-arg">file_</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">srcdir</span>=<span class="sig-default">None</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    >&nbsp;
    </td>
  </tr></table>
  
  Collect CUnit XML data.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>ctxt</code></strong> (<a href="bitten.recipe.Context-class.html" class="link">Context</a>) - the build context</li>
        <li><strong class="pname"><code>file_</code></strong> - path of the file containing the CUnit results; may contain
globbing wildcards to match multiple files</li>
        <li><strong class="pname"><code>srcdir</code></strong> - name of the directory containing the source files, used to
link the test results to the corresponding files</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="gcov"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">gcov</span>(<span class="sig-arg">ctxt</span>,
        <span class="sig-arg">include</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">exclude</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">prefix</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">root</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string"></code><code class="variable-quote">'</code></span>)</span>
  </h3>
  </td><td align="right" valign="top"
    >&nbsp;
    </td>
  </tr></table>
  
  Run <tt class="rst-rst-docutils literal rst-docutils literal"><span class="pre">gcov</span></tt> to extract coverage data where available.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>ctxt</code></strong> (<a href="bitten.recipe.Context-class.html" class="link">Context</a>) - the build context</li>
        <li><strong class="pname"><code>include</code></strong> - patterns of files and directories to include</li>
        <li><strong class="pname"><code>exclude</code></strong> - patterns of files and directories that should be excluded</li>
        <li><strong class="pname"><code>prefix</code></strong> - optional prefix name that is added to object files by the
build system</li>
        <li><strong class="pname"><code>root</code></strong> - optional root path in which the build system puts the object
files</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="bitten-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="../index.html">Documentation Index</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Fri Mar 11 14:53:35 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
